Subject: bug#32472: sort doesn't sort and uniq loses data for many non-Latin scripts on UTF-8 locales

From: Assaf Gordon <[email-masked]>
Date: Mon, 29 Oct 2018 21:54:59 -0600

tags 32472 notabug
close 32472
stop

On 2018-08-18 11:34 a.m., Paul Eggert wrote:
> Vaayda Yaasra wrote:
>> Here’s an example in Syriac:
>>
>> ܡܠܬܐ
>> ܒܝܬܐ
>> ܒܪܢܫܐ
>> ܡܠܬܐ
>>
>> Sort produces the following:
>>
>> ܡܠܬܐ
>> ܒܝܬܐ
>> ܡܠܬܐ
>> ܒܪܢܫܐ
> 
> This is a property of your locale, so I suggest sending a bug report to 
> whoever maintains your locale. You should be able to reproduce the 
> problem by bypassing GNU 'sort' entirely and using the C strcoll function.
> 
> For what it's worth, I observe the problem on Ubuntu 18.04 but not on 
> Fedora 28. As Fedora tends to be more up-to-date, perhaps the problem is 
> fixed already in glibc.

Given the above, and with no further comments,
I'm closing this bug.

-assaf